Workspaces - List Keys

Een lijst met alle sleutels die aan deze werkruimte zijn gekoppeld. Dit omvat sleutels voor het opslagaccount, app-inzichten en het wachtwoord voor het containerregister.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/listKeys?api-version=2026-03-01

URI-parameters

Name In Vereist Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

subscriptionId
path True

string

minLength: 1

De ID van het doelabonnement.

workspaceName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$

Naam van Azure Machine Learning werkruimte

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Antwoorden

Name Type Description
200 OK

ListWorkspaceKeysResult

Azure-operatie succesvol voltooid.

Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

List Workspace Keys

Voorbeeldaanvraag

POST https://management.azure.com/subscriptions/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/resourceGroups/testrg123/providers/Microsoft.MachineLearningServices/workspaces/workspaces123/listKeys?api-version=2026-03-01

Voorbeeldrespons

{
  "appInsightsInstrumentationKey": null,
  "containerRegistryCredentials": {
    "location": null,
    "passwords": [
      {
        "name": "password",
        "value": "<value>"
      },
      {
        "name": "password2",
        "value": "0KARRQoQHSUq1yViPWg7YFernOS=Ic/t"
      }
    ],
    "username": "testdemoworkjmjmeykp"
  },
  "notebookAccessKeys": {
    "primaryAccessKey": null,
    "secondaryAccessKey": null
  },
  "userStorageArmId": "/subscriptions/aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee/resourceGroups/ragargeastus2euap/providers/Microsoft.Storage/storageAccounts/testdemoworkazashomr",
  "userStorageKey": null
}

Definities

Name Description
ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

ListNotebookKeysResult
ListWorkspaceKeysResult
Password
RegistryListCredentialsResult

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoelwit.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

ListNotebookKeysResult

Name Type Description
primaryAccessKey

string (password)

De primaire toegangssleutel van het notitieblok

secondaryAccessKey

string (password)

De secundaire toegangssleutel van de notebook

ListWorkspaceKeysResult

Name Type Description
appInsightsInstrumentationKey

string (password)

De toegangssleutel van de inzichten in de werkruimte-app

containerRegistryCredentials

RegistryListCredentialsResult

notebookAccessKeys

ListNotebookKeysResult

userStorageArmId

string

De arm-ID-sleutel van de opslag van de werkruimte

userStorageKey

string (password)

De toegangssleutel van de opslag van de werkruimte

Password

Name Type Description
name

string (password)

value

string (password)

RegistryListCredentialsResult

Name Type Description
location

string

De locatie van de werkruimte ACR

passwords

Password[]

username

string

De gebruikersnaam van de ACR van de werkruimte